Date: Thursday, August 10, 2017 @ 04:34:26
  Author: bisson
Revision: 301836

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  graphviz/repos/extra-i686/PKGBUILD
    (from rev 301835, graphviz/trunk/PKGBUILD)
  graphviz/repos/extra-i686/ghostscript918.patch
    (from rev 301835, graphviz/trunk/ghostscript918.patch)
  graphviz/repos/extra-i686/install
    (from rev 301835, graphviz/trunk/install)
  graphviz/repos/extra-x86_64/PKGBUILD
    (from rev 301835, graphviz/trunk/PKGBUILD)
  graphviz/repos/extra-x86_64/ghostscript918.patch
    (from rev 301835, graphviz/trunk/ghostscript918.patch)
  graphviz/repos/extra-x86_64/install
    (from rev 301835, graphviz/trunk/install)
Deleted:
  graphviz/repos/extra-i686/PKGBUILD
  graphviz/repos/extra-i686/ghostscript918.patch
  graphviz/repos/extra-i686/install
  graphviz/repos/extra-x86_64/PKGBUILD
  graphviz/repos/extra-x86_64/ghostscript918.patch
  graphviz/repos/extra-x86_64/install

-----------------------------------+
 /PKGBUILD                         |  128 ++++++++++++++++++++++++++++++++++++
 /ghostscript918.patch             |   36 ++++++++++
 /install                          |   24 ++++++
 extra-i686/PKGBUILD               |   64 ------------------
 extra-i686/ghostscript918.patch   |   18 -----
 extra-i686/install                |   12 ---
 extra-x86_64/PKGBUILD             |   64 ------------------
 extra-x86_64/ghostscript918.patch |   18 -----
 extra-x86_64/install              |   12 ---
 9 files changed, 188 insertions(+), 188 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD 2017-08-10 04:33:40 UTC (rev 301835)
+++ extra-i686/PKGBUILD 2017-08-10 04:34:26 UTC (rev 301836)
@@ -1,64 +0,0 @@
-# $Id$
-# Maintainer: Gaetan Bisson <bis...@archlinux.org>
-# Contributor: kevin <ke...@archlinux.org>
-# Contributor: John Proctor <jproc...@prium.net>
-
-pkgname=graphviz
-pkgver=2.40.1
-pkgrel=5
-pkgdesc='Graph visualization software'
-url='http://www.graphviz.org/'
-license=('CPL')
-arch=('i686' 'x86_64')
-depends=('libltdl' 'gd' 'librsvg' 'libxaw' 'ghostscript' 'pango' 'gts')
-makedepends=('swig' 'mono' 'guile' 'lua51' 'ocaml' 'perl' 'python2' 'r' 'tk' 
'qt4' 'gtk2')
-optdepends=('mono: sharp bindings'
-            'guile: guile bindings'
-            'lua51: lua bindings'
-            'ocaml: ocaml bindings'
-            'perl: perl bindings'
-            'python2: python bindings'
-            'r: r bindings'
-            'tcl: tcl bindings'
-            'qt4: gvedit'
-            'gtk2: gtk output plugin'
-            'xterm: vimdot')
-
-# http://www.graphviz.org/Download_source.php
-source=("${url}/pub/${pkgname}/stable/SOURCES/${pkgname}-${pkgver}.tar.gz"
-        'ghostscript918.patch')
-sha256sums=('ca5218fade0204d59947126c38439f432853543b0818d9d728c589dfe7f3a421'
-            '0083d126e27f2223ec4226fc1d71c9c84106968a0fdf65de838aee1e4882bfdb')
-
-install=install
-
-prepare() {
-       cd "${srcdir}/${pkgname}-${pkgver}"
-       patch -p1 -i ../ghostscript918.patch
-}
-
-build() {
-       cd "${srcdir}/${pkgname}-${pkgver}"
-       export CXXFLAGS+=' -Dint64=int64_t' # for ocaml
-       export LIBPOSTFIX=/
-       export PYTHON=python2
-       export LUA=lua5.1
-
-       ./configure --prefix=/usr
-       make
-}
-
-package() {
-       cd "${srcdir}/${pkgname}-${pkgver}"
-       make DESTDIR="${pkgdir}" install
-
-       cd "${pkgdir}/usr/lib"
-       install -d lua/5.1
-       mv lua/gv.so lua/5.1
-
-       # Workaround symlink upgrade bug (fixed in pacman trunk)
-       # Also deduplicates the tcl libraries (upstream bug?)
-       # Might have been this commit: 
https://github.com/ellson/graphviz/commit/f11aead
-       rm -r tcl8.6/graphviz
-       ln -s ../graphviz/tcl tcl8.6/graphviz
-}

Copied: graphviz/repos/extra-i686/PKGBUILD (from rev 301835, 
graphviz/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD                         (rev 0)
+++ extra-i686/PKGBUILD 2017-08-10 04:34:26 UTC (rev 301836)
@@ -0,0 +1,64 @@
+# $Id$
+# Maintainer: Gaetan Bisson <bis...@archlinux.org>
+# Contributor: kevin <ke...@archlinux.org>
+# Contributor: John Proctor <jproc...@prium.net>
+
+pkgname=graphviz
+pkgver=2.40.1
+pkgrel=6
+pkgdesc='Graph visualization software'
+url='http://www.graphviz.org/'
+license=('CPL')
+arch=('i686' 'x86_64')
+depends=('libltdl' 'gd' 'librsvg' 'libxaw' 'ghostscript' 'pango' 'gts' 
'gsfonts')
+makedepends=('swig' 'mono' 'guile' 'lua51' 'ocaml' 'perl' 'python2' 'r' 'tk' 
'qt4' 'gtk2')
+optdepends=('mono: sharp bindings'
+            'guile: guile bindings'
+            'lua51: lua bindings'
+            'ocaml: ocaml bindings'
+            'perl: perl bindings'
+            'python2: python bindings'
+            'r: r bindings'
+            'tcl: tcl bindings'
+            'qt4: gvedit'
+            'gtk2: gtk output plugin'
+            'xterm: vimdot')
+
+# http://www.graphviz.org/Download_source.php
+source=("${url}/pub/${pkgname}/stable/SOURCES/${pkgname}-${pkgver}.tar.gz"
+        'ghostscript918.patch')
+sha256sums=('ca5218fade0204d59947126c38439f432853543b0818d9d728c589dfe7f3a421'
+            '0083d126e27f2223ec4226fc1d71c9c84106968a0fdf65de838aee1e4882bfdb')
+
+install=install
+
+prepare() {
+       cd "${srcdir}/${pkgname}-${pkgver}"
+       patch -p1 -i ../ghostscript918.patch
+}
+
+build() {
+       cd "${srcdir}/${pkgname}-${pkgver}"
+       export CXXFLAGS+=' -Dint64=int64_t' # for ocaml
+       export LIBPOSTFIX=/
+       export PYTHON=python2
+       export LUA=lua5.1
+
+       ./configure --prefix=/usr
+       make
+}
+
+package() {
+       cd "${srcdir}/${pkgname}-${pkgver}"
+       make DESTDIR="${pkgdir}" install
+
+       cd "${pkgdir}/usr/lib"
+       install -d lua/5.1
+       mv lua/gv.so lua/5.1
+
+       # Workaround symlink upgrade bug (fixed in pacman trunk)
+       # Also deduplicates the tcl libraries (upstream bug?)
+       # Might have been this commit: 
https://github.com/ellson/graphviz/commit/f11aead
+       rm -r tcl8.6/graphviz
+       ln -s ../graphviz/tcl tcl8.6/graphviz
+}

Deleted: extra-i686/ghostscript918.patch
===================================================================
--- extra-i686/ghostscript918.patch     2017-08-10 04:33:40 UTC (rev 301835)
+++ extra-i686/ghostscript918.patch     2017-08-10 04:34:26 UTC (rev 301836)
@@ -1,18 +0,0 @@
-diff -uprb graphviz-2.38.0.orig/plugin/gs/gvloadimage_gs.c 
graphviz-2.38.0/plugin/gs/gvloadimage_gs.c
---- graphviz-2.38.0.orig/plugin/gs/gvloadimage_gs.c    2014-04-13 
23:40:25.000000000 +0300
-+++ graphviz-2.38.0/plugin/gs/gvloadimage_gs.c 2015-11-11 00:08:32.916123704 
+0200
-@@ -72,11 +72,11 @@ static void gs_error(GVJ_t * job, const
- 
-     assert (err < 0);
- 
--    if (err >= e_VMerror) 
-+    if (err >= gs_error_VMerror)
-       errsrc = "PostScript Level 1"; 
--    else if (err >= e_unregistered)
-+    else if (err >= gs_error_unregistered)
-       errsrc = "PostScript Level 2";
--    else if (err >= e_invalidid)
-+    else if (err >= gs_error_invalidid)
-       errsrc = "DPS error";
-     else
-       errsrc = "Ghostscript internal error";

Copied: graphviz/repos/extra-i686/ghostscript918.patch (from rev 301835, 
graphviz/trunk/ghostscript918.patch)
===================================================================
--- extra-i686/ghostscript918.patch                             (rev 0)
+++ extra-i686/ghostscript918.patch     2017-08-10 04:34:26 UTC (rev 301836)
@@ -0,0 +1,18 @@
+diff -uprb graphviz-2.38.0.orig/plugin/gs/gvloadimage_gs.c 
graphviz-2.38.0/plugin/gs/gvloadimage_gs.c
+--- graphviz-2.38.0.orig/plugin/gs/gvloadimage_gs.c    2014-04-13 
23:40:25.000000000 +0300
++++ graphviz-2.38.0/plugin/gs/gvloadimage_gs.c 2015-11-11 00:08:32.916123704 
+0200
+@@ -72,11 +72,11 @@ static void gs_error(GVJ_t * job, const
+ 
+     assert (err < 0);
+ 
+-    if (err >= e_VMerror) 
++    if (err >= gs_error_VMerror)
+       errsrc = "PostScript Level 1"; 
+-    else if (err >= e_unregistered)
++    else if (err >= gs_error_unregistered)
+       errsrc = "PostScript Level 2";
+-    else if (err >= e_invalidid)
++    else if (err >= gs_error_invalidid)
+       errsrc = "DPS error";
+     else
+       errsrc = "Ghostscript internal error";

Deleted: extra-i686/install
===================================================================
--- extra-i686/install  2017-08-10 04:33:40 UTC (rev 301835)
+++ extra-i686/install  2017-08-10 04:34:26 UTC (rev 301836)
@@ -1,12 +0,0 @@
-post_install() {
-       rm -f usr/lib/graphviz/config{,6}
-       usr/bin/dot -c
-}
-
-post_upgrade() {
-       post_install
-}
-
-pre_remove() {
-       rm -f usr/lib/graphviz/config{,6}
-}

Copied: graphviz/repos/extra-i686/install (from rev 301835, 
graphviz/trunk/install)
===================================================================
--- extra-i686/install                          (rev 0)
+++ extra-i686/install  2017-08-10 04:34:26 UTC (rev 301836)
@@ -0,0 +1,12 @@
+post_install() {
+       rm -f usr/lib/graphviz/config{,6}
+       usr/bin/dot -c
+}
+
+post_upgrade() {
+       post_install
+}
+
+pre_remove() {
+       rm -f usr/lib/graphviz/config{,6}
+}

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD       2017-08-10 04:33:40 UTC (rev 301835)
+++ extra-x86_64/PKGBUILD       2017-08-10 04:34:26 UTC (rev 301836)
@@ -1,64 +0,0 @@
-# $Id$
-# Maintainer: Gaetan Bisson <bis...@archlinux.org>
-# Contributor: kevin <ke...@archlinux.org>
-# Contributor: John Proctor <jproc...@prium.net>
-
-pkgname=graphviz
-pkgver=2.40.1
-pkgrel=5
-pkgdesc='Graph visualization software'
-url='http://www.graphviz.org/'
-license=('CPL')
-arch=('i686' 'x86_64')
-depends=('libltdl' 'gd' 'librsvg' 'libxaw' 'ghostscript' 'pango' 'gts')
-makedepends=('swig' 'mono' 'guile' 'lua51' 'ocaml' 'perl' 'python2' 'r' 'tk' 
'qt4' 'gtk2')
-optdepends=('mono: sharp bindings'
-            'guile: guile bindings'
-            'lua51: lua bindings'
-            'ocaml: ocaml bindings'
-            'perl: perl bindings'
-            'python2: python bindings'
-            'r: r bindings'
-            'tcl: tcl bindings'
-            'qt4: gvedit'
-            'gtk2: gtk output plugin'
-            'xterm: vimdot')
-
-# http://www.graphviz.org/Download_source.php
-source=("${url}/pub/${pkgname}/stable/SOURCES/${pkgname}-${pkgver}.tar.gz"
-        'ghostscript918.patch')
-sha256sums=('ca5218fade0204d59947126c38439f432853543b0818d9d728c589dfe7f3a421'
-            '0083d126e27f2223ec4226fc1d71c9c84106968a0fdf65de838aee1e4882bfdb')
-
-install=install
-
-prepare() {
-       cd "${srcdir}/${pkgname}-${pkgver}"
-       patch -p1 -i ../ghostscript918.patch
-}
-
-build() {
-       cd "${srcdir}/${pkgname}-${pkgver}"
-       export CXXFLAGS+=' -Dint64=int64_t' # for ocaml
-       export LIBPOSTFIX=/
-       export PYTHON=python2
-       export LUA=lua5.1
-
-       ./configure --prefix=/usr
-       make
-}
-
-package() {
-       cd "${srcdir}/${pkgname}-${pkgver}"
-       make DESTDIR="${pkgdir}" install
-
-       cd "${pkgdir}/usr/lib"
-       install -d lua/5.1
-       mv lua/gv.so lua/5.1
-
-       # Workaround symlink upgrade bug (fixed in pacman trunk)
-       # Also deduplicates the tcl libraries (upstream bug?)
-       # Might have been this commit: 
https://github.com/ellson/graphviz/commit/f11aead
-       rm -r tcl8.6/graphviz
-       ln -s ../graphviz/tcl tcl8.6/graphviz
-}

Copied: graphviz/repos/extra-x86_64/PKGBUILD (from rev 301835, 
graphviz/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD                               (rev 0)
+++ extra-x86_64/PKGBUILD       2017-08-10 04:34:26 UTC (rev 301836)
@@ -0,0 +1,64 @@
+# $Id$
+# Maintainer: Gaetan Bisson <bis...@archlinux.org>
+# Contributor: kevin <ke...@archlinux.org>
+# Contributor: John Proctor <jproc...@prium.net>
+
+pkgname=graphviz
+pkgver=2.40.1
+pkgrel=6
+pkgdesc='Graph visualization software'
+url='http://www.graphviz.org/'
+license=('CPL')
+arch=('i686' 'x86_64')
+depends=('libltdl' 'gd' 'librsvg' 'libxaw' 'ghostscript' 'pango' 'gts' 
'gsfonts')
+makedepends=('swig' 'mono' 'guile' 'lua51' 'ocaml' 'perl' 'python2' 'r' 'tk' 
'qt4' 'gtk2')
+optdepends=('mono: sharp bindings'
+            'guile: guile bindings'
+            'lua51: lua bindings'
+            'ocaml: ocaml bindings'
+            'perl: perl bindings'
+            'python2: python bindings'
+            'r: r bindings'
+            'tcl: tcl bindings'
+            'qt4: gvedit'
+            'gtk2: gtk output plugin'
+            'xterm: vimdot')
+
+# http://www.graphviz.org/Download_source.php
+source=("${url}/pub/${pkgname}/stable/SOURCES/${pkgname}-${pkgver}.tar.gz"
+        'ghostscript918.patch')
+sha256sums=('ca5218fade0204d59947126c38439f432853543b0818d9d728c589dfe7f3a421'
+            '0083d126e27f2223ec4226fc1d71c9c84106968a0fdf65de838aee1e4882bfdb')
+
+install=install
+
+prepare() {
+       cd "${srcdir}/${pkgname}-${pkgver}"
+       patch -p1 -i ../ghostscript918.patch
+}
+
+build() {
+       cd "${srcdir}/${pkgname}-${pkgver}"
+       export CXXFLAGS+=' -Dint64=int64_t' # for ocaml
+       export LIBPOSTFIX=/
+       export PYTHON=python2
+       export LUA=lua5.1
+
+       ./configure --prefix=/usr
+       make
+}
+
+package() {
+       cd "${srcdir}/${pkgname}-${pkgver}"
+       make DESTDIR="${pkgdir}" install
+
+       cd "${pkgdir}/usr/lib"
+       install -d lua/5.1
+       mv lua/gv.so lua/5.1
+
+       # Workaround symlink upgrade bug (fixed in pacman trunk)
+       # Also deduplicates the tcl libraries (upstream bug?)
+       # Might have been this commit: 
https://github.com/ellson/graphviz/commit/f11aead
+       rm -r tcl8.6/graphviz
+       ln -s ../graphviz/tcl tcl8.6/graphviz
+}

Deleted: extra-x86_64/ghostscript918.patch
===================================================================
--- extra-x86_64/ghostscript918.patch   2017-08-10 04:33:40 UTC (rev 301835)
+++ extra-x86_64/ghostscript918.patch   2017-08-10 04:34:26 UTC (rev 301836)
@@ -1,18 +0,0 @@
-diff -uprb graphviz-2.38.0.orig/plugin/gs/gvloadimage_gs.c 
graphviz-2.38.0/plugin/gs/gvloadimage_gs.c
---- graphviz-2.38.0.orig/plugin/gs/gvloadimage_gs.c    2014-04-13 
23:40:25.000000000 +0300
-+++ graphviz-2.38.0/plugin/gs/gvloadimage_gs.c 2015-11-11 00:08:32.916123704 
+0200
-@@ -72,11 +72,11 @@ static void gs_error(GVJ_t * job, const
- 
-     assert (err < 0);
- 
--    if (err >= e_VMerror) 
-+    if (err >= gs_error_VMerror)
-       errsrc = "PostScript Level 1"; 
--    else if (err >= e_unregistered)
-+    else if (err >= gs_error_unregistered)
-       errsrc = "PostScript Level 2";
--    else if (err >= e_invalidid)
-+    else if (err >= gs_error_invalidid)
-       errsrc = "DPS error";
-     else
-       errsrc = "Ghostscript internal error";

Copied: graphviz/repos/extra-x86_64/ghostscript918.patch (from rev 301835, 
graphviz/trunk/ghostscript918.patch)
===================================================================
--- extra-x86_64/ghostscript918.patch                           (rev 0)
+++ extra-x86_64/ghostscript918.patch   2017-08-10 04:34:26 UTC (rev 301836)
@@ -0,0 +1,18 @@
+diff -uprb graphviz-2.38.0.orig/plugin/gs/gvloadimage_gs.c 
graphviz-2.38.0/plugin/gs/gvloadimage_gs.c
+--- graphviz-2.38.0.orig/plugin/gs/gvloadimage_gs.c    2014-04-13 
23:40:25.000000000 +0300
++++ graphviz-2.38.0/plugin/gs/gvloadimage_gs.c 2015-11-11 00:08:32.916123704 
+0200
+@@ -72,11 +72,11 @@ static void gs_error(GVJ_t * job, const
+ 
+     assert (err < 0);
+ 
+-    if (err >= e_VMerror) 
++    if (err >= gs_error_VMerror)
+       errsrc = "PostScript Level 1"; 
+-    else if (err >= e_unregistered)
++    else if (err >= gs_error_unregistered)
+       errsrc = "PostScript Level 2";
+-    else if (err >= e_invalidid)
++    else if (err >= gs_error_invalidid)
+       errsrc = "DPS error";
+     else
+       errsrc = "Ghostscript internal error";

Deleted: extra-x86_64/install
===================================================================
--- extra-x86_64/install        2017-08-10 04:33:40 UTC (rev 301835)
+++ extra-x86_64/install        2017-08-10 04:34:26 UTC (rev 301836)
@@ -1,12 +0,0 @@
-post_install() {
-       rm -f usr/lib/graphviz/config{,6}
-       usr/bin/dot -c
-}
-
-post_upgrade() {
-       post_install
-}
-
-pre_remove() {
-       rm -f usr/lib/graphviz/config{,6}
-}

Copied: graphviz/repos/extra-x86_64/install (from rev 301835, 
graphviz/trunk/install)
===================================================================
--- extra-x86_64/install                                (rev 0)
+++ extra-x86_64/install        2017-08-10 04:34:26 UTC (rev 301836)
@@ -0,0 +1,12 @@
+post_install() {
+       rm -f usr/lib/graphviz/config{,6}
+       usr/bin/dot -c
+}
+
+post_upgrade() {
+       post_install
+}
+
+pre_remove() {
+       rm -f usr/lib/graphviz/config{,6}
+}

Reply via email to